Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs	(revision 8024)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs	(revision 8033)
@@ -28,5 +28,12 @@
       this.label2 = new System.Windows.Forms.Label();
       this.rbHive = new System.Windows.Forms.RadioButton();
+      this.label3 = new System.Windows.Forms.Label();
       this.SuspendLayout();
+      // 
+      // wizardBanner
+      // 
+      this.wizardBanner.Size = new System.Drawing.Size(640, 81);
+      this.wizardBanner.Subtitle = "Choose next step and click Finish to exit the wizard.";
+      this.wizardBanner.Title = "Experiment Created";
       // 
       // rbHL
@@ -34,5 +41,5 @@
       this.rbHL.AutoSize = true;
       this.rbHL.Checked = true;
-      this.rbHL.Location = new System.Drawing.Point(179, 87);
+      this.rbHL.Location = new System.Drawing.Point(198, 143);
       this.rbHL.Name = "rbHL";
       this.rbHL.Size = new System.Drawing.Size(14, 13);
@@ -44,5 +51,5 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(0, 87);
+      this.label1.Location = new System.Drawing.Point(7, 143);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(173, 13);
@@ -53,5 +60,5 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(0, 113);
+      this.label2.Location = new System.Drawing.Point(7, 184);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(146, 13);
@@ -62,5 +69,5 @@
       // 
       this.rbHive.AutoSize = true;
-      this.rbHive.Location = new System.Drawing.Point(179, 113);
+      this.rbHive.Location = new System.Drawing.Point(198, 184);
       this.rbHive.Name = "rbHive";
       this.rbHive.Size = new System.Drawing.Size(14, 13);
@@ -68,19 +75,32 @@
       this.rbHive.UseVisualStyleBackColor = true;
       // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.label3.Location = new System.Drawing.Point(6, 88);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(308, 20);
+      this.label3.TabIndex = 5;
+      this.label3.Text = "Your experiment was created successfully.";
+      // 
       // ResultPage
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.rbHL);
+      this.Controls.Add(this.rbHive);
+      this.Controls.Add(this.label3);
       this.Controls.Add(this.label2);
-      this.Controls.Add(this.rbHive);
       this.Controls.Add(this.label1);
-      this.Controls.Add(this.rbHL);
       this.Name = "ResultPage";
+      this.Size = new System.Drawing.Size(640, 480);
       this.SetActive += new System.ComponentModel.CancelEventHandler(this.ResultPage_SetActive);
       this.WizardCommit += new System.ComponentModel.CancelEventHandler(this.ResultPage_WizardCommit);
       this.WizardBack += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ResultPage_WizardBack);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.label2, 0);
+      this.Controls.SetChildIndex(this.label3, 0);
+      this.Controls.SetChildIndex(this.rbHive, 0);
       this.Controls.SetChildIndex(this.rbHL, 0);
-      this.Controls.SetChildIndex(this.label1, 0);
-      this.Controls.SetChildIndex(this.rbHive, 0);
-      this.Controls.SetChildIndex(this.label2, 0);
       this.Controls.SetChildIndex(this.wizardBanner, 0);
       this.ResumeLayout(false);
@@ -95,4 +115,5 @@
     private System.Windows.Forms.Label label2;
     private System.Windows.Forms.RadioButton rbHive;
+    private System.Windows.Forms.Label label3;
   }
 }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs	(revision 8024)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs	(revision 8033)
@@ -29,12 +29,13 @@
       this.rbMedium = new System.Windows.Forms.RadioButton();
       this.rbLarge = new System.Windows.Forms.RadioButton();
-      this.rbCustom = new System.Windows.Forms.RadioButton();
       this.label2 = new System.Windows.Forms.Label();
-      this.label3 = new System.Windows.Forms.Label();
+      this.txtSmallAnalysis = new System.Windows.Forms.TextBox();
+      this.txtMediumAnalysis = new System.Windows.Forms.TextBox();
+      this.txtLargeAnalysis = new System.Windows.Forms.TextBox();
       this.SuspendLayout();
       // 
       // wizardBanner
       // 
-      this.wizardBanner.Size = new System.Drawing.Size(408, 81);
+      this.wizardBanner.Size = new System.Drawing.Size(640, 81);
       this.wizardBanner.Subtitle = "Choose one of the predefiend data analysis scenarios or create a custom scenario." +
     "";
@@ -44,5 +45,6 @@
       // 
       this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(3, 87);
+      this.label4.ForeColor = System.Drawing.SystemColors.InactiveCaptionText;
+      this.label4.Location = new System.Drawing.Point(71, 397);
       this.label4.Name = "label4";
       this.label4.Size = new System.Drawing.Size(32, 13);
@@ -53,5 +55,5 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 106);
+      this.label1.Location = new System.Drawing.Point(289, 397);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(44, 13);
@@ -62,5 +64,6 @@
       // 
       this.rbSmall.AutoSize = true;
-      this.rbSmall.Location = new System.Drawing.Point(54, 87);
+      this.rbSmall.Enabled = false;
+      this.rbSmall.Location = new System.Drawing.Point(109, 397);
       this.rbSmall.Name = "rbSmall";
       this.rbSmall.Size = new System.Drawing.Size(14, 13);
@@ -72,5 +75,5 @@
       this.rbMedium.AutoSize = true;
       this.rbMedium.Checked = true;
-      this.rbMedium.Location = new System.Drawing.Point(54, 106);
+      this.rbMedium.Location = new System.Drawing.Point(340, 397);
       this.rbMedium.Name = "rbMedium";
       this.rbMedium.Size = new System.Drawing.Size(14, 13);
@@ -82,5 +85,6 @@
       // 
       this.rbLarge.AutoSize = true;
-      this.rbLarge.Location = new System.Drawing.Point(54, 125);
+      this.rbLarge.Enabled = false;
+      this.rbLarge.Location = new System.Drawing.Point(540, 397);
       this.rbLarge.Name = "rbLarge";
       this.rbLarge.Size = new System.Drawing.Size(14, 13);
@@ -88,17 +92,9 @@
       this.rbLarge.UseVisualStyleBackColor = true;
       // 
-      // rbCustom
-      // 
-      this.rbCustom.AutoSize = true;
-      this.rbCustom.Location = new System.Drawing.Point(54, 144);
-      this.rbCustom.Name = "rbCustom";
-      this.rbCustom.Size = new System.Drawing.Size(14, 13);
-      this.rbCustom.TabIndex = 6;
-      this.rbCustom.UseVisualStyleBackColor = true;
-      // 
       // label2
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(3, 125);
+      this.label2.ForeColor = System.Drawing.SystemColors.InactiveCaptionText;
+      this.label2.Location = new System.Drawing.Point(500, 397);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(34, 13);
@@ -106,19 +102,41 @@
       this.label2.Text = "Large";
       // 
-      // label3
+      // txtSmallAnalysis
       // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(3, 144);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(42, 13);
-      this.label3.TabIndex = 8;
-      this.label3.Text = "Custom";
+      this.txtSmallAnalysis.BackColor = System.Drawing.Color.White;
+      this.txtSmallAnalysis.Location = new System.Drawing.Point(7, 87);
+      this.txtSmallAnalysis.Multiline = true;
+      this.txtSmallAnalysis.Name = "txtSmallAnalysis";
+      this.txtSmallAnalysis.ReadOnly = true;
+      this.txtSmallAnalysis.Size = new System.Drawing.Size(205, 307);
+      this.txtSmallAnalysis.TabIndex = 9;
+      // 
+      // txtMediumAnalysis
+      // 
+      this.txtMediumAnalysis.BackColor = System.Drawing.Color.White;
+      this.txtMediumAnalysis.Location = new System.Drawing.Point(218, 87);
+      this.txtMediumAnalysis.Multiline = true;
+      this.txtMediumAnalysis.Name = "txtMediumAnalysis";
+      this.txtMediumAnalysis.ReadOnly = true;
+      this.txtMediumAnalysis.Size = new System.Drawing.Size(205, 307);
+      this.txtMediumAnalysis.TabIndex = 10;
+      // 
+      // txtLargeAnalysis
+      // 
+      this.txtLargeAnalysis.BackColor = System.Drawing.Color.White;
+      this.txtLargeAnalysis.Location = new System.Drawing.Point(429, 87);
+      this.txtLargeAnalysis.Multiline = true;
+      this.txtLargeAnalysis.Name = "txtLargeAnalysis";
+      this.txtLargeAnalysis.ReadOnly = true;
+      this.txtLargeAnalysis.Size = new System.Drawing.Size(205, 307);
+      this.txtLargeAnalysis.TabIndex = 11;
       // 
       // SelectAnalysisPage
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.Controls.Add(this.label3);
+      this.Controls.Add(this.txtLargeAnalysis);
+      this.Controls.Add(this.txtMediumAnalysis);
+      this.Controls.Add(this.txtSmallAnalysis);
       this.Controls.Add(this.label2);
-      this.Controls.Add(this.rbCustom);
       this.Controls.Add(this.rbLarge);
       this.Controls.Add(this.rbMedium);
@@ -127,5 +145,5 @@
       this.Controls.Add(this.label4);
       this.Name = "SelectAnalysisPage";
-      this.Size = new System.Drawing.Size(408, 274);
+      this.Size = new System.Drawing.Size(640, 480);
       this.SetActive += new System.ComponentModel.CancelEventHandler(this.SelectAnalysisPage_SetActive);
       this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.SelectAnalysisPage_WizardNext);
@@ -136,7 +154,8 @@
       this.Controls.SetChildIndex(this.rbMedium, 0);
       this.Controls.SetChildIndex(this.rbLarge, 0);
-      this.Controls.SetChildIndex(this.rbCustom, 0);
       this.Controls.SetChildIndex(this.label2, 0);
-      this.Controls.SetChildIndex(this.label3, 0);
+      this.Controls.SetChildIndex(this.txtSmallAnalysis, 0);
+      this.Controls.SetChildIndex(this.txtMediumAnalysis, 0);
+      this.Controls.SetChildIndex(this.txtLargeAnalysis, 0);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -151,7 +170,8 @@
     private System.Windows.Forms.RadioButton rbMedium;
     private System.Windows.Forms.RadioButton rbLarge;
-    private System.Windows.Forms.RadioButton rbCustom;
     private System.Windows.Forms.Label label2;
-    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.TextBox txtSmallAnalysis;
+    private System.Windows.Forms.TextBox txtMediumAnalysis;
+    private System.Windows.Forms.TextBox txtLargeAnalysis;
   }
 }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs	(revision 8024)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs	(revision 8033)
@@ -3,4 +3,27 @@
 namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
   public partial class SelectAnalysisPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private const string descMediumScenario = "Support Vector Regression \r\n" +
+                                               "Nu: 0.1 ... 0.9 \r\n" +
+                                               "Cost: 0.03125 ... 32768 \r\n" +
+                                               "Gama: 0.0000610352 ... 64 \r\n" +
+                                               "\r\n" +
+                                               "Random Forest Regression \r\n" +
+                                               "R: 0.1 ... 0.7 \r\n" +
+                                               "Number of trees: 250 \r\n" +
+                                               "\r\n" +
+                                               "Neural Network Regression \r\n" +
+                                               "Decay: 0.001 ... 100 \r\n" +
+                                               "NodesInFirstHiddenLayer: 1 ... 100 \r\n" +
+                                               "\r\n" +
+                                               "Offspring Selection Genetic Algorithm \r\n" +
+                                               "ComparisonFactorLowerBound: 1 \r\n" +
+                                               "MaximumEvaluatedSolutions: 500000 \r\n" +
+                                               "MaximumGenerations: 100 \r\n" +
+                                               "MutationProbability: 0.15 \r\n" +
+                                               "PopulationSize: 500 \r\n" +
+                                               "Max. Tree Depth: 8; 12; 17 \r\n" +
+                                               "Max. Tree Length: 25; 125; 250 \r\n";
+
+
     private DataAnalysisWizardContext context;
     public DataAnalysisWizardContext Context {
@@ -11,4 +34,5 @@
       InitializeComponent();
       this.context = context;
+      txtMediumAnalysis.Text = descMediumScenario;
     }
 
@@ -27,8 +51,10 @@
         context.SelectedAnalysis = rbLarge.Text;
         e.NewPage = "WizardPage";
-      } else if (rbCustom.Checked) {
-        context.SelectedAnalysis = rbCustom.Text;
-        e.NewPage = "WizardPage";
-      } else {
+      }
+        //else if (rbCustom.Checked) {
+        //  context.SelectedAnalysis = rbCustom.Text;
+        //  e.NewPage = "WizardPage";
+        //} 
+      else {
         throw new SystemException("Undefined data analysis selected.");
       }