Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj	(revision 7982)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/HeuristicLab.Clients.Access-3.3.csproj	(revision 8037)
@@ -99,6 +99,12 @@
     <Compile Include="ServiceClients\AccessServiceClient.cs" />
     <Compile Include="ServiceClients\AccessItem.cs" />
+    <Compile Include="ServiceClients\ClientConfiguration.cs" />
+    <Compile Include="ServiceClients\ClientError.cs" />
     <Compile Include="ServiceClients\ClientGroup.cs" />
     <Compile Include="ServiceClients\Client.cs" />
+    <Compile Include="ServiceClients\ClientLog.cs" />
+    <Compile Include="ServiceClients\ClientType.cs" />
+    <Compile Include="ServiceClients\Country.cs" />
+    <Compile Include="ServiceClients\OperatingSystem.cs" />
     <Compile Include="ServiceClients\User.cs" />
     <Compile Include="ServiceClients\Role.cs" />
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame	(revision 7982)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Plugin.cs.frame	(revision 8037)
@@ -35,6 +35,5 @@
   [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Data", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]  
   public class HeuristicLabClientsAccessPlugin : PluginBase {
   }
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientConfiguration.cs	(revision 8037)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("ClientConfiguration", "A client's configuration file.")]
+  public partial class ClientConfiguration {
+    protected ClientConfiguration(ClientConfiguration original, Cloner cloner)
+      : base(original, cloner) {
+      this.Hash = original.Hash;
+      this.Description = original.Description;
+    }
+
+    public ClientConfiguration()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ClientConfiguration(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientError.cs	(revision 8037)
@@ -0,0 +1,45 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("ClientError", "An object containing an error message.")]
+  public partial class ClientError {
+    protected ClientError(ClientError original, Cloner cloner)
+      : base(original, cloner) {
+      this.ClientId = original.ClientId;
+      this.ConfigDump = original.ConfigDump;
+      this.Exception = original.Exception;
+      this.Timestamp = original.Timestamp;
+      this.UserComment = original.UserComment;
+      this.UserId = original.UserId;
+    }
+
+    public ClientError()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ClientError(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientLog.cs	(revision 8037)
@@ -0,0 +1,42 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("ClientLog", "A log that captures an event on a client. ")]
+  public partial class ClientLog {
+    protected ClientLog(ClientLog original, Cloner cloner)
+      : base(original, cloner) {
+      this.Message = original.Message;
+      this.ResourceId = original.ResourceId;
+      this.Timestamp = original.Timestamp;
+    }
+
+    public ClientLog()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ClientLog(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/ClientType.cs	(revision 8037)
@@ -0,0 +1,40 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("ClientType", "Type of a client.")]
+  public partial class ClientType {
+    protected ClientType(ClientType original, Cloner cloner)
+      : base(original, cloner) {
+      this.Name = original.Name;
+    }
+
+    public ClientType()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ClientType(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/Country.cs	(revision 8037)
@@ -0,0 +1,40 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("Country", "A Country.")]
+  public partial class Country {
+    protected Country(Country original, Cloner cloner)
+      : base(original, cloner) {
+      this.Name = original.Name;
+    }
+
+    public Country()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Country(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs	(revision 8037)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/OperatingSystem.cs	(revision 8037)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.Access {
+  [Item("OperatingSystem", "An OperatingSystem.")]
+  public partial class OperatingSystem {
+    protected OperatingSystem(OperatingSystem original, Cloner cloner)
+      : base(original, cloner) {
+      this.Name = original.Name;
+    }
+    public OperatingSystem()
+      : base() { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new OperatingSystem(this, cloner);
+    }
+  }
+}
Index: branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs	(revision 7982)
+++ branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/User.cs	(revision 8037)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Drawing;
 using HeuristicLab.Common;
@@ -30,6 +29,13 @@
     protected User(User original, Cloner cloner)
       : base(original, cloner) {
-      //TODO: add cloning
-      throw new NotImplementedException();
+      this.Comment = original.Comment;
+      this.Email = original.Email;
+      this.CreationDate = original.CreationDate;
+      this.FullName = original.FullName;
+      this.IsApproved = original.IsApproved;
+      this.LastActivityDate = original.LastActivityDate;
+      this.LastLoginDate = original.LastLoginDate;
+      this.LastPasswordChangedDate = original.LastPasswordChangedDate;
+      this.UserName = original.UserName;
     }
 