Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Administration/3.3/AccessAdministrationClient.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Administration/3.3/AccessAdministrationClient.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Administration/3.3/AccessAdministrationClient.cs	(revision 8039)
@@ -127,9 +127,4 @@
       ExecuteActionAsync(StoreRoles, exceptionCallback);
     }
-
-    //i don't think such a generic method is a good idea
-    /*public static void Store(IAccessItem item) {
-      
-    } */
     #endregion
 
Index: anches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.Designer.cs	(revision 8038)
+++ 	(revision )
@@ -1,140 +1,0 @@
-﻿namespace HeuristicLab.Clients.Access.Views {
-  partial class AdminClientView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.label12 = new System.Windows.Forms.Label();
-      this.txtCountry = new System.Windows.Forms.TextBox();
-      this.SuspendLayout();
-      // 
-      // txtName
-      // 
-      this.txtName.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtDescription
-      // 
-      this.txtDescription.Size = new System.Drawing.Size(410, 20);
-      // 
-      // txtVersion
-      // 
-      this.txtVersion.Size = new System.Drawing.Size(410, 20);
-      // 
-      // txtTimestamp
-      // 
-      this.txtTimestamp.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtMemory
-      // 
-      this.txtMemory.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtNumberOfCores
-      // 
-      this.txtNumberOfCores.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtClientType
-      // 
-      this.txtClientType.Size = new System.Drawing.Size(410, 20);
-      // 
-      // txtClientConfiguration
-      // 
-      this.txtClientConfiguration.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtProcessor
-      // 
-      this.txtProcessor.Size = new System.Drawing.Size(410, 20);
-      // 
-      // txtOS
-      // 
-      this.txtOS.Size = new System.Drawing.Size(410, 20);
-      // 
-      // txtPerformanceValue
-      // 
-      this.txtPerformanceValue.Size = new System.Drawing.Size(411, 20);
-      // 
-      // txtId
-      // 
-      this.txtId.Size = new System.Drawing.Size(410, 20);
-      // 
-      // label12
-      // 
-      this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(3, 318);
-      this.label12.Name = "label12";
-      this.label12.Size = new System.Drawing.Size(46, 13);
-      this.label12.TabIndex = 11;
-      this.label12.Text = "Country:";
-      // 
-      // txtCountry
-      // 
-      this.txtCountry.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtCountry.Location = new System.Drawing.Point(111, 315);
-      this.txtCountry.Name = "txtCountry";
-      this.txtCountry.Size = new System.Drawing.Size(410, 20);
-      this.txtCountry.TabIndex = 22;
-      // 
-      // AdminClientView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.txtCountry);
-      this.Controls.Add(this.label12);
-      this.Name = "AdminClientView";
-      this.Size = new System.Drawing.Size(524, 341);
-      this.Controls.SetChildIndex(this.label1, 0);
-      this.Controls.SetChildIndex(this.label2, 0);
-      this.Controls.SetChildIndex(this.label3, 0);
-      this.Controls.SetChildIndex(this.label4, 0);
-      this.Controls.SetChildIndex(this.label5, 0);
-      this.Controls.SetChildIndex(this.label6, 0);
-      this.Controls.SetChildIndex(this.label7, 0);
-      this.Controls.SetChildIndex(this.label8, 0);
-      this.Controls.SetChildIndex(this.label9, 0);
-      this.Controls.SetChildIndex(this.label10, 0);
-      this.Controls.SetChildIndex(this.label11, 0);
-      this.Controls.SetChildIndex(this.txtName, 0);
-      this.Controls.SetChildIndex(this.txtDescription, 0);
-      this.Controls.SetChildIndex(this.txtVersion, 0);
-      this.Controls.SetChildIndex(this.txtTimestamp, 0);
-      this.Controls.SetChildIndex(this.txtMemory, 0);
-      this.Controls.SetChildIndex(this.txtNumberOfCores, 0);
-      this.Controls.SetChildIndex(this.txtClientType, 0);
-      this.Controls.SetChildIndex(this.txtClientConfiguration, 0);
-      this.Controls.SetChildIndex(this.txtProcessor, 0);
-      this.Controls.SetChildIndex(this.txtOS, 0);
-      this.Controls.SetChildIndex(this.txtPerformanceValue, 0);
-      this.Controls.SetChildIndex(this.label13, 0);
-      this.Controls.SetChildIndex(this.txtId, 0);
-      this.Controls.SetChildIndex(this.label12, 0);
-      this.Controls.SetChildIndex(this.txtCountry, 0);
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.Label label12;
-    private System.Windows.Forms.TextBox txtCountry;
-  }
-}
Index: anches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.cs	(revision 8038)
+++ 	(revision )
@@ -1,49 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.MainForm;
-
-namespace HeuristicLab.Clients.Access.Views {
-  [View("Extended Client View")]
-  [Content(typeof(Client), false)]
-  public partial class AdminClientView : ClientView {
-    public new Client Content {
-      get { return (Client)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public AdminClientView() {
-      InitializeComponent();
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-
-      if (Content == null) {
-        txtCountry.Text = string.Empty;
-      } else {
-        if (Content.Country != null) {
-          txtCountry.Text = Content.Country.Name;
-        }
-      }
-    }
-  }
-}
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 8039)
@@ -106,10 +106,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="ClientViews\AdminClientView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ClientViews\AdminClientView.Designer.cs">
-      <DependentUpon>AdminClientView.cs</DependentUpon>
-    </Compile>
     <Compile Include="ClientViews\ClientInformationDialog.cs">
       <SubType>Form</SubType>
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionView.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionView.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionView.cs	(revision 8039)
@@ -62,5 +62,4 @@
 
     void Instance_Refreshed(object sender, EventArgs e) {
-      //TODO: show loading bar
       if (AccessClient.Instance.UsersAndGroups != null)
         this.itemsListView.Enabled = true;
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/RefreshableLightweightUserInformationView.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/RefreshableLightweightUserInformationView.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/RefreshableLightweightUserInformationView.cs	(revision 8039)
@@ -24,5 +24,4 @@
 
 namespace HeuristicLab.Clients.Access.Views {
-
   public partial class RefreshableLightweightUserInformationView : RefreshableView {
     public RefreshableLightweightUserInformationView() {
@@ -60,5 +59,6 @@
         lightweightUserInformationView.Enabled = true;
         if (!UserInformation.Instance.UserExists) {
-          MessageBox.Show("Couldn't fetch user information from the server." + Environment.NewLine + "Please verify that you have an existing user and that your user name and password is correct. ", "HeuristicLab Access Service", MessageBoxButtons.OK, MessageBoxIcon.Error);
+          MessageBox.Show("Couldn't fetch user information from the server." + Environment.NewLine +
+            "Please verify that you have an existing user and that your user name and password is correct. ", "HeuristicLab Access Service", MessageBoxButtons.OK, MessageBoxIcon.Error);
           lightweightUserInformationView.Content = null;
         } else {
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/AccessClient.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/AccessClient.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/AccessClient.cs	(revision 8039)
@@ -90,8 +90,4 @@
     #endregion
 
-    public static void Store(IAccessItem item) {
-      //TODO: prevent storing of lightweight users
-    }
-
     #region Events
     public event EventHandler Refreshing;
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ClientInformationUtils.cs	(revision 8039)
@@ -35,5 +35,5 @@
       OperatingSystem os = new OperatingSystem();
       ClientType cType = new ClientType();
-      cType.Name = "HLClient";
+      cType.Name = Settings.Default.ClientTypeName;
 
       client.Id = GetUniqueMachineId();
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/AccessItem.cs	(revision 8039)
@@ -93,9 +93,4 @@
     }
 
-    public void Store() {
-      AccessClient.Store(this);
-      Modified = false;
-    }
-
     protected void RaisePropertyChanged(string propertyName) {
       OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/IAccessItem.cs	(revision 8039)
@@ -26,6 +26,5 @@
 namespace HeuristicLab.Clients.Access {
   public interface IAccessItem : IItem, INotifyPropertyChanged {
-    bool Modified { get; }
-    void Store();
+    bool Modified { get; }    
     event EventHandler ModifiedChanged;
   }
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ServiceClients/LightweightUser.cs	(revision 8039)
@@ -21,4 +21,5 @@
 
 using System.Drawing;
+using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,6 +30,9 @@
     protected LightweightUser(LightweightUser original, Cloner cloner)
       : base(original, cloner) {
-      FullName = original.FullName;
-      UserName = original.UserName;
+      this.FullName = original.FullName;
+      this.UserName = original.UserName;
+      this.EMail = original.EMail;
+      this.Groups = original.Groups.Select(x => (UserGroup)x.Clone(cloner)).ToList();
+      this.Roles = original.Roles.Select(x => (Role)x.Clone(cloner)).ToList();
     }
 
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.Designer.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.Designer.cs	(revision 8039)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.530
+//     Runtime Version:4.0.30319.544
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -32,4 +32,13 @@
             }
         }
+        
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HLClient")]
+        public string ClientTypeName {
+            get {
+                return ((string)(this["ClientTypeName"]));
+            }
+        }
     }
 }
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.settings
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.settings	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/Settings.settings	(revision 8039)
@@ -6,4 +6,7 @@
       <Value Profile="(Default)">HeuristicLab 3.3</Value>
     </Setting>
+    <Setting Name="ClientTypeName" Type="System.String" Scope="Application">
+      <Value Profile="(Default)">HLClient</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/app.config
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/app.config	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/app.config	(revision 8039)
@@ -39,9 +39,12 @@
     </system.serviceModel>
     <applicationSettings>
-        <HeuristicLab.Clients.Access.Settings>
-            <setting name="HLExeName" serializeAs="String">
-                <value>HeuristicLab 3.3</value>
-            </setting>
-        </HeuristicLab.Clients.Access.Settings>
+      <HeuristicLab.Clients.Access.Settings>
+        <setting name="HLExeName" serializeAs="String">
+          <value>HeuristicLab 3.3</value>
+        </setting>
+        <setting name="ClientTypeName" serializeAs="String">
+          <value>HLClient</value>
+        </setting>
+      </HeuristicLab.Clients.Access.Settings>
     </applicationSettings>
 </configuration>
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ascheibe_app.config
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ascheibe_app.config	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access/3.3/ascheibe_app.config	(revision 8039)
@@ -38,10 +38,13 @@
         </client>
     </system.serviceModel>
-    <applicationSettings>
-        <HeuristicLab.Clients.Access.Settings>
-            <setting name="HLExeName" serializeAs="String">
-                <value>HeuristicLab 3.3</value>
-            </setting>
-        </HeuristicLab.Clients.Access.Settings>
-    </applicationSettings>
+  <applicationSettings>
+    <HeuristicLab.Clients.Access.Settings>
+      <setting name="HLExeName" serializeAs="String">
+        <value>HeuristicLab 3.3</value>
+      </setting>
+      <setting name="ClientTypeName" serializeAs="String">
+        <value>HLClient</value>
+      </setting>
+    </HeuristicLab.Clients.Access.Settings>
+  </applicationSettings>
 </configuration>
Index: /branches/ClientUserManagement/HeuristicLab.Services.Access.sln
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Services.Access.sln	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Services.Access.sln	(revision 8039)
@@ -17,6 +17,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.GeoIP", "HeuristicLab.GeoIP\1.12\HeuristicLab.GeoIP.csproj", "{BE9B0229-9150-49A4-AEA6-BB58E055992F}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Access-3.3.Tests", "HeuristicLab.Services.Access-3.3.Tests\HeuristicLab.Services.Access-3.3.Tests.csproj", "{70C5A73A-148C-45A2-938F-F8F6DAA80A02}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Access.Views-3.3", "HeuristicLab.Clients.Access.Views\3.3\HeuristicLab.Clients.Access.Views-3.3.csproj", "{FE856595-64CD-46DA-9CD2-FFF3E6B0D4F2}"
@@ -77,14 +75,4 @@
 		{BE9B0229-9150-49A4-AEA6-BB58E055992F}.Release|Mixed Platforms.Build.0 = Release|Any CPU
 		{BE9B0229-9150-49A4-AEA6-BB58E055992F}.Release|x86.ActiveCfg = Release|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Release|Any CPU.Build.0 = Release|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{70C5A73A-148C-45A2-938F-F8F6DAA80A02}.Release|x86.ActiveCfg = Release|Any CPU
 		{FE856595-64CD-46DA-9CD2-FFF3E6B0D4F2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{FE856595-64CD-46DA-9CD2-FFF3E6B0D4F2}.Debug|Any CPU.Build.0 = Debug|Any CPU
Index: /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 8039)
@@ -473,6 +473,4 @@
 
       using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
-        //TODO: this has to be done recursive, so check if a group is in another 
-        //group because then the user is also in this group...
         var query = from g in context.UserGroupUserGroups
                     from ug in context.UserGroupBases.OfType<DA.UserGroup>()
@@ -656,5 +654,4 @@
       RoleVerifier.AuthenticateForAllRoles(AccessServiceRoles.Administrator);
 
-      //TODO: usernames and rolenames have to be unique!
       MembershipUser msUser = Membership.GetUser((object)user.Id);
       if (msUser != null) {
@@ -702,5 +699,4 @@
 
     public IEnumerable<DT.UserGroup> GetUserGroupsOfUser(Guid userId) {
-
       using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
         var groupIds = from g in context.UserGroupUserGroups
@@ -812,9 +808,7 @@
     #region UserGroupBase
     public IEnumerable<DT.UserGroupBase> GetAllLeightweightUsersAndGroups() {
-      //TODO: it must be possible to include a role so not all users are returned but only the ones who are allowed to use a certain service
       List<DT.UserGroup> userGroups = new List<DT.UserGroup>();
       List<DT.UserGroupBase> result = new List<DT.UserGroupBase>();
 
-      // this is just for generating users from asp.net authenticaton db; we should maybe provide an updatescript instead
       List<Guid> accessUserGuids = null;
       using (DA.ASPNETAuthenticationDataContext context = new DA.ASPNETAuthenticationDataContext()) {
Index: /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs	(revision 8038)
+++ /branches/ClientUserManagement/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs	(revision 8039)
@@ -23,5 +23,4 @@
 
 namespace HeuristicLab.Services.Access.DataTransfer {
-
   [DataContract]
   public class Role : AccessItem {