Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 8040)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 8041)
@@ -35,5 +35,5 @@
 
     private void refreshButton_Click(object sender, System.EventArgs e) {
-      Refresh();
+      RefreshInformation();
     }
 
@@ -41,9 +41,9 @@
       using (ClientRegistrationDialog regDialog = new ClientRegistrationDialog()) {
         regDialog.ShowDialog(this);
-        Refresh();
+        RefreshInformation();
       }
     }
 
-    private void Refresh() {
+    private void RefreshInformation() {
       clientView.StartProgressView();
       Task.Factory.StartNew(new Action(delegate {
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.Designer.cs	(revision 8040)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.Designer.cs	(revision 8041)
@@ -25,5 +25,5 @@
     private void InitializeComponent() {
       this.OkButton = new System.Windows.Forms.Button();
-      this.CancelButton = new System.Windows.Forms.Button();
+      this.AbortButton = new System.Windows.Forms.Button();
       this.lightweightUserGroupSelectionView = new HeuristicLab.Clients.Access.Views.LightweightUserGroupSelectionView();
       this.SuspendLayout();
@@ -40,20 +40,21 @@
       this.OkButton.Click += new System.EventHandler(this.OkButton_Click);
       // 
-      // CancelButton
+      // AbortButton
       // 
-      this.CancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.CancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
-      this.CancelButton.Location = new System.Drawing.Point(455, 290);
-      this.CancelButton.Name = "CancelButton";
-      this.CancelButton.Size = new System.Drawing.Size(75, 23);
-      this.CancelButton.TabIndex = 2;
-      this.CancelButton.Text = "Cancel";
-      this.CancelButton.UseVisualStyleBackColor = true;
+      this.AbortButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.AbortButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.AbortButton.Location = new System.Drawing.Point(455, 290);
+      this.AbortButton.Name = "AbortButton";
+      this.AbortButton.Size = new System.Drawing.Size(75, 23);
+      this.AbortButton.TabIndex = 2;
+      this.AbortButton.Text = "Cancel";
+      this.AbortButton.UseVisualStyleBackColor = true;
+      this.AbortButton.Click += new System.EventHandler(this.CancelButton_Click);
       // 
       // lightweightUserGroupSelectionView
       // 
       this.lightweightUserGroupSelectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.lightweightUserGroupSelectionView.Location = new System.Drawing.Point(12, 12);
       this.lightweightUserGroupSelectionView.Name = "lightweightUserGroupSelectionView";
@@ -66,6 +67,7 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.CancelButton = this.AbortButton;
       this.ClientSize = new System.Drawing.Size(542, 325);
-      this.Controls.Add(this.CancelButton);
+      this.Controls.Add(this.AbortButton);
       this.Controls.Add(this.OkButton);
       this.Controls.Add(this.lightweightUserGroupSelectionView);
@@ -86,5 +88,5 @@
     private LightweightUserGroupSelectionView lightweightUserGroupSelectionView;
     private System.Windows.Forms.Button OkButton;
-    private System.Windows.Forms.Button CancelButton;
+    private System.Windows.Forms.Button AbortButton;
   }
 }
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.cs	(revision 8040)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/UserViews/LightweightUserGroupSelectionDialog.cs	(revision 8041)
@@ -41,4 +41,10 @@
       Close();
     }
+
+    private void CancelButton_Click(object sender, System.EventArgs e) {
+      selectedUsersAndGroups = lightweightUserGroupSelectionView.GetSelectedItems();
+      this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      Close();
+    }
   }
 }