Index: trunk/sources/HeuristicLab.Clients.Access.Administration/3.3/MenuItems/UserAdministrationMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Clients.Access.Administration/3.3/MenuItems/UserAdministrationMenuItem.cs	(revision 8042)
+++ trunk/sources/HeuristicLab.Clients.Access.Administration/3.3/MenuItems/UserAdministrationMenuItem.cs	(revision 8043)
@@ -20,5 +20,8 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
 using HeuristicLab.Optimizer;
 
@@ -32,6 +35,12 @@
     }
     public override void Execute() {
-      using (UserAdministrationDialog dialog = new UserAdministrationDialog()) {
-        dialog.ShowDialog();
+      if (UserInformation.Instance.User.Roles.Where(x => x.Name == UserInformation.AdministratorRoleName).Count() > 0) {
+        using (UserAdministrationDialog dialog = new UserAdministrationDialog()) {
+          dialog.ShowDialog();
+        }
+      } else {
+        MessageBox.Show("You do not seem to have the permissions to use the Access Service Administrator." + Environment.NewLine +
+        "If that's not the case or you have any questions please write an email to support@heuristiclab.com",
+        "Access Service Administrator", MessageBoxButtons.OK, MessageBoxIcon.Error);
       }
     }
Index: trunk/sources/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 8042)
+++ trunk/sources/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 8043)
@@ -106,5 +106,7 @@
       <DependentUpon>ClientRegistrationDialog.cs</DependentUpon>
     </Compile>
-    <Compile Include="ClientViews\ClientView.cs" />
+    <Compile Include="ClientViews\ClientView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="ClientViews\ClientView.Designer.cs">
       <DependentUpon>ClientView.cs</DependentUpon>
@@ -132,21 +134,31 @@
       <DependentUpon>LightweightUserGroupSelectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="UserViews\LightweightUserInformationView.cs" />
+    <Compile Include="UserViews\LightweightUserInformationView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="UserViews\LightweightUserInformationView.Designer.cs">
       <DependentUpon>LightweightUserInformationView.cs</DependentUpon>
     </Compile>
-    <Compile Include="UserViews\RefreshableLightweightUserInformationView.cs" />
+    <Compile Include="UserViews\RefreshableLightweightUserInformationView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="UserViews\RefreshableLightweightUserInformationView.Designer.cs">
       <DependentUpon>RefreshableLightweightUserInformationView.cs</DependentUpon>
     </Compile>
-    <Compile Include="UserViews\LightweightUserView.cs" />
+    <Compile Include="UserViews\LightweightUserView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="UserViews\LightweightUserView.Designer.cs">
       <DependentUpon>LightweightUserView.cs</DependentUpon>
     </Compile>
-    <Compile Include="UserViews\RefreshableLightweightUserView.cs" />
+    <Compile Include="UserViews\RefreshableLightweightUserView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="UserViews\RefreshableLightweightUserView.Designer.cs">
       <DependentUpon>RefreshableLightweightUserView.cs</DependentUpon>
     </Compile>
-    <Compile Include="UserViews\RefreshableView.cs" />
+    <Compile Include="UserViews\RefreshableView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="UserViews\RefreshableView.Designer.cs">
       <DependentUpon>RefreshableView.cs</DependentUpon>
Index: trunk/sources/HeuristicLab.Clients.Access/3.3/UserInformation.cs
===================================================================
--- trunk/sources/HeuristicLab.Clients.Access/3.3/UserInformation.cs	(revision 8042)
+++ trunk/sources/HeuristicLab.Clients.Access/3.3/UserInformation.cs	(revision 8043)
@@ -25,4 +25,6 @@
 namespace HeuristicLab.Clients.Access {
   public sealed class UserInformation {
+    public const string AdministratorRoleName = "AccessService Administrator";
+
     private static UserInformation instance;
     public static UserInformation Instance {