Index: /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/Properties/AssemblyInfo.cs.frame	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/Properties/AssemblyInfo.cs.frame	(revision 8050)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/AdminService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/AdminService.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/AdminService.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/IAdminService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/IAdminService.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/IAdminService.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/IUpdateService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/IUpdateService.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/IUpdateService.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginDescription.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginDescription.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginDescription.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Runtime.Serialization;
 
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginStore.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginStore.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/PluginStore.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/ProductDescription.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/ProductDescription.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/ProductDescription.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Runtime.Serialization;
 
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Properties/AssemblyInfo.cs.frame	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Properties/AssemblyInfo.cs.frame	(revision 8050)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,9 @@
 #endregion
 
-using HeuristicLab.Services.Deployment.DataAccess;
+using System;
+using System.Collections.Generic;
+using System.Diagnostics;
+using System.Linq;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using System.Collections.Generic;
-using System.Linq;
-using System;
-using System.Diagnostics;
 
 namespace HeuristicLab.Services.Deployment.Test {
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/UpdateService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/UpdateService.cs	(revision 8049)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/UpdateService.cs	(revision 8050)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.